#include "exception.h"

#include <sstream>
using namespace aka2;

error::error(const std::string &msg, const char *file, 
	     const unsigned long line) {
  std::ostringstream ostm;
  ostm << msg << '(' << file << ':' << line << ')';
  msg_ = ostm.rdbuf()->str();
}


error::~error() throw() {
}

const char *error::what() const throw() {
  return msg_.c_str();
}
